Bug 141804 - Caps Lock indicator not shown in password input with display:block
Summary: Caps Lock indicator not shown in password input with display:block
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.10
: P2 Normal
Assignee: Nobody
URL: http://jsbin.com/tulexi/2/edit
Keywords:
Depends on:
Blocks: 159753
  Show dependency treegraph
 
Reported: 2015-02-19 12:18 PST by Chris Rebert
Modified: 2016-08-29 23:50 PDT (History)
4 users (show)

See Also:


Attachments
Screenshot to clarify what icon/indicator this bug refers to (66.33 KB, image/png)
2015-02-19 12:18 PST, Chris Rebert
no flags Details
Copy of JS Bin example (1.07 KB, text/html)
2015-05-06 18:41 PDT, Chris Rebert
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rebert 2015-02-19 12:18:56 PST
Created attachment 246903 [details]
Screenshot to clarify what icon/indicator this bug refers to

Safari Version: 8.0.3 (10600.3.18)
OS X version: 10.10.2

Original Bootstrap bug report: https://github.com/twbs/bootstrap/issues/15832

What steps will reproduce the problem?
1. Open http://jsbin.com/tulexi/2/edit in Safari on OS X.
2. Press the Caps Lock key on your keyboard to activate Caps Lock.
3. Click into each of the <input type="password> fields on the page and look at the right side of the field.

What is the expected result?
Like the rest of the fields, the first field (that says and is styled with "display: block") should show a right-aligned gray-and-white up-arrow icon, indicating that Caps Lock is active (see screenshot).

What happens instead of that?
Unlike the rest of the fields, the first field does not show any Caps Lock indicator icon.

Other information
Chrome 40 also suffers from the same bug.
Comment 1 Chris Rebert 2015-02-19 12:29:16 PST
I've also filed <rdar://problem/19892433> regarding this bug.
Comment 2 Chris Rebert 2015-02-19 16:43:39 PST
Equivalent Chrome bug: https://code.google.com/p/chromium/issues/detail?id=460200
Comment 3 Chris Rebert 2015-05-06 18:41:07 PDT
Created attachment 252552 [details]
Copy of JS Bin example
Comment 4 Simon Fraser (smfr) 2015-07-17 21:30:20 PDT
This is fixed now.
Comment 5 Chris Rebert 2015-07-17 22:45:50 PDT
Confirmed fixed as of r186963.
I've removed the entry from Bootstrap's Wall:
https://github.com/twbs/bootstrap/pull/16840